List all ridership accounts for the organization.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Ridership under the Ridership category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/ridership/accounts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2024-11-15T10:00:00Z",
"id": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"name": "Springfield Public Schools",
"updatedAtTime": "2024-11-15T10:30:00Z",
"externalIds": {}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512Optional boolean indicating whether to return external IDs on supported entities
curl --request GET \
--url https://api.samsara.com/ridership/accounts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"createdAtTime": "2024-11-15T10:00:00Z",
"id": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"name": "Springfield Public Schools",
"updatedAtTime": "2024-11-15T10:30:00Z",
"externalIds": {}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}